<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::pixel_traits&lt; rgb_pixel &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1pixel__traits_3_01rgb__pixel_01_4.html">pixel_traits&lt; rgb_pixel &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1pixel__traits_3_01rgb__pixel_01_4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::pixel_traits&lt; rgb_pixel &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pixel_8h_source.html">pixel.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a0307e8003d998ee233e8b4df3b3c91d9"><td class="memItemLeft" align="right" valign="top"><a id="a0307e8003d998ee233e8b4df3b3c91d9"></a>
typedef unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>basic_pixel_type</b></td></tr>
<tr class="separator:a0307e8003d998ee233e8b4df3b3c91d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:abcdaa910eae2508e68c6d783b5d35cdb"><td class="memItemLeft" align="right" valign="top"><a id="abcdaa910eae2508e68c6d783b5d35cdb"></a>
static basic_pixel_type&#160;</td><td class="memItemRight" valign="bottom"><b>min</b> ()</td></tr>
<tr class="separator:abcdaa910eae2508e68c6d783b5d35cdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6796389d8cb46e51e93e1b455b15a12"><td class="memItemLeft" align="right" valign="top"><a id="aa6796389d8cb46e51e93e1b455b15a12"></a>
static basic_pixel_type&#160;</td><td class="memItemRight" valign="bottom"><b>max</b> ()</td></tr>
<tr class="separator:aa6796389d8cb46e51e93e1b455b15a12"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a0b79e04ebcd17ddbda0e53759e3dc1cb"><td class="memItemLeft" align="right" valign="top"><a id="a0b79e04ebcd17ddbda0e53759e3dc1cb"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>rgb</b> = true</td></tr>
<tr class="separator:a0b79e04ebcd17ddbda0e53759e3dc1cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c7b8ef75bac6d6b3a69a224cf9afde7"><td class="memItemLeft" align="right" valign="top"><a id="a8c7b8ef75bac6d6b3a69a224cf9afde7"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>rgb_alpha</b> = false</td></tr>
<tr class="separator:a8c7b8ef75bac6d6b3a69a224cf9afde7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5ce2a2349b380544692015776f0ca96"><td class="memItemLeft" align="right" valign="top"><a id="aa5ce2a2349b380544692015776f0ca96"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>grayscale</b> = false</td></tr>
<tr class="separator:aa5ce2a2349b380544692015776f0ca96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9f647ad44676773637cca8d17f3fdf3"><td class="memItemLeft" align="right" valign="top"><a id="ac9f647ad44676773637cca8d17f3fdf3"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>hsi</b> = false</td></tr>
<tr class="separator:ac9f647ad44676773637cca8d17f3fdf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe1a8263d3287379b2a6770f03fb38be"><td class="memItemLeft" align="right" valign="top"><a id="afe1a8263d3287379b2a6770f03fb38be"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>num</b> = 3</td></tr>
<tr class="separator:afe1a8263d3287379b2a6770f03fb38be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa82cb237d0e597835d5a1e7d0ed1229d"><td class="memItemLeft" align="right" valign="top"><a id="aa82cb237d0e597835d5a1e7d0ed1229d"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_unsigned</b> = true</td></tr>
<tr class="separator:aa82cb237d0e597835d5a1e7d0ed1229d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cac7160f3fad29a6732f1158cba8268"><td class="memItemLeft" align="right" valign="top"><a id="a6cac7160f3fad29a6732f1158cba8268"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>has_alpha</b> = false</td></tr>
<tr class="separator:a6cac7160f3fad29a6732f1158cba8268"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;&gt;<br />
struct dlib::pixel_traits&lt; rgb_pixel &gt;</h3>

<pre class="fragment">provides deserialization support for the hsi_pixel struct
</pre><p> ! </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pixel_8h_source.html">pixel.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
